### Method

# RB Shell remove_widget

#### Declaration [src]

    void
    rb_shell_remove_widget (
      RBShell* shell,
      GtkWidget* widget,
      RBShellUILocation location
    )

#### Description [src]

Removes a widget added with #rb_shell_add_widget from the main window.

#### Parameters

`widget`

  Type: `GtkWidget`

  The `GtkWidget` to remove from the main window.

  The data is owned by the caller of the method.

`location`

  Type: `RBShellUILocation`

  The UI location to which the widget was originally added.